### Method

# Adw Leafletget_adjacent_child

deprecated: 1.4

#### Declaration [src]

    GtkWidget*
    adw_leaflet_get_adjacent_child (
      AdwLeaflet* self,
      AdwNavigationDirection direction
    )

#### Description [src]

Finds the previous or next navigatable child.

This will be the same child `adw_leaflet_navigate()` or swipe gestures will navigate to.

If there’s no child to navigate to, `NULL` will be returned instead.

See `AdwLeafletPage:navigatable`.

Deprecated since: 1.4

See the migration guide

#### Parameters

`direction`

  Type: `AdwNavigationDirection`

  The direction.

#### Return value

Type: `GtkWidget`

The previous or next child.

The returned data is owned by the instance.
The return value can be `NULL`.